/**
 * Assemble <http://assemble.io>
 *
 * Copyright (c) 2014, Jon Schlinkert, Brian Woodward, contributors.
 * Licensed under the MIT License (MIT).
 */

module.exports = function(grunt) {

  // Report elapsed execution time of grunt tasks.
  require('time-grunt')(grunt);

  var targets = require('./test/configs')(grunt);
  console.log(targets);

  // Project configuration.
  grunt.initConfig({

    assemble: targets,

    // assemble: {
    //   options: {
    //     data: {title: 'Site title!'},
    //     assets: 'test/assets',
    //     helpers: ['test/helpers/*.js'],
    //     layoutdir: 'test/fixtures/layouts',
    //     layout: 'default',
    //     flatten: true
    //   },

    // clean up files generated by tests
    clean: {
      tests: ['test/actual/**/*']
    }
  });

  // Load NPM plugins to provide the necessary tasks.
  grunt.loadNpmTasks('grunt-contrib-clean');

  // Load this plugin.
  grunt.loadTasks('tasks');

  // Default task.
  grunt.registerTask('default', ['assemble']);
};
